Package com.xebialabs.xlrelease.serialization.json.jackson

## Class ConfigurationIdDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<java.lang.String>
  - - com.xebialabs.xlrelease.serialization.json.jackson.ConfigurationIdDeserializer

- All Implemented Interfaces:
    `com.fasterxml.jackson.databind.deser.NullValueProvider`

      public class ConfigurationIdDeserializer
      extends com.fasterxml.jackson.databind.JsonDeserializer<java.lang.String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationIdDeserializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `deserialize​(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext ctxt)` |

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationIdDeserializer

          public ConfigurationIdDeserializer()

  - ### Method Detail

    - #### deserialize

          public java.lang.String deserialize​(com.fasterxml.jackson.core.JsonParser jsonParser,
                                              com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                       throws java.io.IOException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<java.lang.String>`
      Throws:
        `java.io.IOException`